Name:		        lv2
Version:		    1.18.2
Release:	      %mkrel 2
Summary:        The core LV2 specification

Group:		      System/Libraries
License:		    ISC
URL:		        http://lv2plug.in/
Source0:	      http://lv2plug.in/git/cgit.cgi/lv2.git/snapshot/%{name}-%{version}.tar.xz

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  lib64gtk+2.0_0-devel
BuildRequires:  lib64sndfile-devel
BuildRequires:  pkgconfig
BuildRequires:	python-devel
BuildRequires:  python-pygments
BuildRequires:	python-rdflib
%rename 	      lv2core

%description
LV2 is a standard for plugins and matching host applications, primarily
targeted at audio processing and generation.

LV2 is a successor to LADSPA, created to address the limitations of LADSPA
which many applications have outgrown.  Compared to LADSPA, all plugin data
is moved from the code to a separate data file, and the code has been made as
generic as possible.  As a result, LV2 can be independently extended
(retaining compatibility wherever possible), and virtually any feasible
plugin features can be implemented in an LV2 plugin.

The major version of this package refers to the LV2 specification revision
contained, while the minor version refers only to this package.

%package	      devel
Summary:	      Development files for the core LV2 specification
Group:		      Development/Libraries
Requires:	      %{name} = %{version}-%{release}
%rename 	      lv2core-devel

%description	devel
This package contains development files for the core LV2 specification.

%prep
%setup -qn %{name}-%{version}
perl -pi -e 's:^#!.*:#!%{__python2}:g' lv2specgen/lv2specgen.py

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"
./waf configure -vv --prefix=%{_prefix} --libdir=%{_libdir} --lv2dir=%{_libdir}/lv2 --test
./waf -vv %{?_smp_mflags}

%install
DESTDIR=%buildroot ./waf -vv install

%files
%defattr(-,root,root)
%exclude %{_libdir}/%{name}/*/*.[ch]
%{_libdir}/%{name}/
%{_bindir}/lv2specgen.py
%{_datadir}/lv2specgen/*
%{_bindir}/lv2_validate

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_includedir}/%{name}/
%{_libdir}/%{name}/*/*.[hc]
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Oct 14 2021 onkelho <oh.quait at gmail.com> - 1.18.2-2pclos2021
- rebuild against updates

* Tue Oct 12 2021 onkelho <oh.quait at gmail.com> - 1.18.2-1pclos2021
- last release

* Sun Jul 05 2020 ghostbunny <ghostbunny at gmx dot de> 1.18.0-1pclos2020
- 1.18.0

* Sat Jul 06 2019 tex - 1.16.0-1pclos2019
- new version

* Sat May 18 2019 tex - 1.14.0-2pclos2019
- rebuild against updates

* Sun Apr 29 2018 marcin82 <fixxer1982 at gmail.com> 1.14.0-1pclos2018
- update

* Wed Jun 17 2015 gseaman <galen.seaman at comcast.net> 1.12.0-1gseaman2015
- 1.12.0

* Sun May 25 2014 bb <bb> 1.8.0-1pclos2014
- update

* Tue Oct 29 2013 bb <billybot> 1.6.0-1pclos2013
- update
- obsolete old name
- add BR
